MCP Gateway Persona Access Control V1

Operations related to MCP Gateway persona access control.

List all persona access controls in an MCP Gateway cluster.

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>

ID of the MCP Gateway cluster.

Responses
200

Successfully retrieved persona access controls for the MCP Gateway cluster.

get/cluster-management/v2/data-sources/mcp_gateway_cluster/{clusterId}/persona-access-controls/v1
Request samples
Response samples
application/json
[
  • {
    }
]

Create an MCP Gateway persona access control.

SecurityBasic Authentication
Request
Request Body schema: application/json
required
virtualServerId
required
string <uuid>

ID of the virtual server this access control belongs to.

type
required
string

Whether this rule is an allowlist or denylist for the persona role.

Enum: "ALLOWLIST" "DENYLIST"
personaRole
required
string non-empty [^"'\\]+

Name of the persona role.

tools
Array of strings <uuid>

List of backend tools this access control applies to. If empty, the rule applies to all tools.

Responses
202

MCP Gateway persona access control creation requested.

post/cluster-management/v2/resources/applications/mcp-gateway/persona-access-controls/v1
Request samples
application/json
{
  • "personaRole": "analyst",
  • "tools": [
    ],
  • "type": "ALLOWLIST",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
Response samples
application/json
{
  • "personaRole": "analyst",
  • "tools": [
    ],
  • "type": "ALLOWLIST",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Get an MCP Gateway persona access control.

SecurityBasic Authentication
Request
path Parameters
personaAccessControlId
required
string

ID of the MCP Gateway persona access control.

Responses
200

MCP Gateway persona access control details retrieved.

404

MCP Gateway persona access control not found.

get/cluster-management/v2/resources/applications/mcp-gateway/persona-access-controls/v1/{personaAccessControlId}
Request samples
Response samples
application/json
{
  • "personaRole": "analyst",
  • "tools": [
    ],
  • "type": "ALLOWLIST",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Update an MCP Gateway persona access control.

SecurityBasic Authentication
Request
path Parameters
personaAccessControlId
required
string

ID of the MCP Gateway persona access control.

Request Body schema: application/json
required
virtualServerId
required
string <uuid>

ID of the virtual server this access control belongs to.

type
required
string

Whether this rule is an allowlist or denylist for the persona role.

Enum: "ALLOWLIST" "DENYLIST"
personaRole
required
string non-empty [^"'\\]+

Name of the persona role.

tools
Array of strings <uuid>

List of backend tools this access control applies to. If empty, the rule applies to all tools.

Responses
202

MCP Gateway persona access control update requested.

404

MCP Gateway persona access control not found.

put/cluster-management/v2/resources/applications/mcp-gateway/persona-access-controls/v1/{personaAccessControlId}
Request samples
application/json
{
  • "personaRole": "analyst",
  • "tools": [
    ],
  • "type": "ALLOWLIST",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
Response samples
application/json
{
  • "personaRole": "analyst",
  • "tools": [
    ],
  • "type": "ALLOWLIST",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Delete an MCP Gateway persona access control.

SecurityBasic Authentication
Request
path Parameters
personaAccessControlId
required
string

ID of the MCP Gateway persona access control.

Responses
204

MCP Gateway persona access control delete requested.

404

MCP Gateway persona access control not found.

delete/cluster-management/v2/resources/applications/mcp-gateway/persona-access-controls/v1/{personaAccessControlId}
Request samples
Response samples
application/json
{
  • "errors": [
    ]
}